gavl_frame_table_t Struct Reference
Video » Frame table

frame table structure More...

`#include <gavl.h>`

## Data Fields

int64_t | offset
| Timestamp of the first frame. More...
int64_t | num_entries
| Number of entries. More...
int64_t | entries_alloc
| Number of allocated entries (never touch this) More...
struct {
int64_t num_frames
| Number of frames. More...
int64_t duration
| Duration of each of these frames. More...
} * | entries
| Frame table. More...
int | num_timecodes
| Number of timecodes. More...
int | timecodes_alloc
| Number of allocated timecodes (never touch this) More...
struct {
int64_t pts
| Timestamp of this frame. More...
gavl_timecode_t tc
| Timecode associated with this timestamp. More...
} * | timecodes
| Timecode table. More...

## Detailed Description

frame table structure

Since 1.1.2.

## Field Documentation

## offset

int64_t gavl_frame_table_t::offset

Timestamp of the first frame.

## num_entries

int64_t gavl_frame_table_t::num_entries

Number of entries.

## entries_alloc

int64_t gavl_frame_table_t::entries_alloc

Number of allocated entries (never touch this)

## num_frames

int64_t gavl_frame_table_t::num_frames

Number of frames.

## duration

int64_t gavl_frame_table_t::duration

Duration of each of these frames.

##

struct { ... } * gavl_frame_table_t::entries

Frame table.

## num_timecodes

int gavl_frame_table_t::num_timecodes

Number of timecodes.

## timecodes_alloc

int gavl_frame_table_t::timecodes_alloc

Number of allocated timecodes (never touch this)

## pts

int64_t gavl_frame_table_t::pts

Timestamp of this frame.

## tc

gavl_timecode_t gavl_frame_table_t::tc

Timecode associated with this timestamp.

##

struct { ... } * gavl_frame_table_t::timecodes

Timecode table.

The documentation for this struct was generated from the following file:

- /opt/local/var/macports/build/_opt_bblocal_var_buildworker_ports_build_ports_multimedia_gavl/gavl/work/gavl-1.4.0/include/gavl/gavl.h